smartTableExtraction
Last updated
curl -X POST "https://use.laigo.io/api/FileUpload/v1/Upload/smartTableExtraction" \
-H "Authorization: Bearer my-accessToken-here" \
-F "email=my-email-here" \
-F "outputFormats=CSV" \
-F "languageHint=EN" \
-F "file=@my-file-location-here"string baseUrl = "https://use.laigo.io/api/FileUpload/v1/Upload/smartTableExtraction";
string email = "my-email-here";
string outputFormats = "CSV";
string languageHint = "EN";
string token = "Bearer my-accessToken-here";
using (HttpClient client = new HttpClient())
{
string url = $"{baseUrl}?email={email}&outputFormats={outputFormats}&languageHint={languageHint}";
var request = new HttpRequestMessage(HttpMethod.Post, url);
request.Headers.Add("Authorization", token);
var content = new MultipartFormDataContent();
content.Add(new StreamContent(File.OpenRead("/my-file-location-here")), "file", "/my-file-location-here");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
}import requests
url = "https://use.laigo.io/api/FileUpload/v1/Upload/smartTableExtraction"
headers = {
"Authorization": "Bearer my-accessToken-here"
}
data = {
"email": "my-email-here",
"outputFormats": "CSV",
"languageHint": "EN"
}
files = {
"file": open("my-file-location-here", "rb")
}
response = requests.post(url, headers=headers, data=data, files=files)
response.raise_for_status()
print(response.text)//note that running this code directly from the local file system might not work due to security restrictions.
<input type="file" id="fileInput">
<button id="uploadButton">Upload</button>
<script>
document.getElementById('uploadButton').addEventListener('click', () => {
const url = 'https://use.laigo.io/api/FileUpload/v1/Upload/smartTableExtraction';
const token = 'Bearer my-email-here';
const email = 'my-email-here';
const outputFormats = 'CSV';
const languageHint = 'EN';
const fileInput = document.getElementById('fileInput');
const file = fileInput.files[0];
const formData = new FormData();
formData.append('email', email);
formData.append('outputFormats', outputFormats);
formData.append('languageHint', languageHint);
formData.append('file', file);
const xhr = new XMLHttpRequest();
xhr.open('POST', url);
xhr.setRequestHeader('Authorization', token);
xhr.onload = () => {
if (xhr.status === 200) {
console.log(xhr.responseText);
} else {
console.error('Request failed:', xhr.statusText);
}
};
xhr.onerror = () => {
console.error('Request failed');
};
xhr.send(formData);
});
</script><?php
$curl = curl_init();
$url = "https://use.laigo.io/api/FileUpload/v1/Upload/smartTableExtraction";
$headers = array(
"Authorization: Bearer my-accessToken-here"
);
$fields = array(
"email" => "my-email-here",
"outputFormats" => "CSV",
"languageHint" => "EN",
"file" => "@my-file-location-here"
);
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $fields);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
if (curl_errno($curl)) {
echo "Error: " . curl_error($curl);
}
curl_close($curl);
echo $response;
?>